roar_connectionref(3)

NAME
roar_connectionref, roar_connectionunref - change reference counter for RoarAudio connections

SYNOPSIS

#include <roaraudio.h>

int roar_connectionref(struct roar_connection * con);

int roar_connectionunref(struct roar_connection * con);

#define roar_disconnect(x) roar_connectionunref((x))

DESCRIPTION
Those functions change the reference counter for connection objects previously opend via roar_connect(3), roar_connect_fh(3) or roar_simple_connect(3). If the reference counter hints zero the connection is closed and the object is destroyed.

The roar_disconnect(3) macro is provided to be source compatible (recompile needed) with RoarAudio 0.4 or older.

PARAMETERS

con The connection to be altered.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_simple_connect(3), libroar(7), RoarAudio(7).